Description: Fix some compilation errors and warnings.
From: http://git.savannah.gnu.org/gitweb/?p=ll-plugins/azr3-jack.git;a=commit;h=2453bdc15286
Author: Lars Luthman <mail@larsluthman.net>
Origin: upstream, commit:2453bdc15286
---
 azr3/azr3gui.cpp |   10 +++++-----
 azr3/azr3gui.hpp |    6 +++---
 azr3/main.cpp    |    2 --
 3 files changed, 8 insertions(+), 10 deletions(-)

--- azr3-jack.orig/azr3/azr3gui.cpp
+++ azr3-jack/azr3/azr3gui.cpp
@@ -332,7 +332,7 @@ void AZR3GUI::set_back_pixmap(Widget* wd
 }
 
 
-Knob* AZR3GUI::add_knob(Fixed& fbox, RefPtr<Pixmap>& pm, int port, 
+Knob* AZR3GUI::add_knob(Fixed& fbox, RefPtr<Pixmap>& pm, size_t port,
 			float min, float max, float value, 
 			int xoffset, int yoffset,
 			float dmin, float dmax, bool decimal) {
@@ -350,7 +350,7 @@ Knob* AZR3GUI::add_knob(Fixed& fbox, Ref
   s->set_bg_pixmap(STATE_SELECTED, npm);
   s->set_bg_pixmap(STATE_INSENSITIVE, npm);
   knob->set_style(s);
-  if (port >= 0 && port < m_adj.size()) {
+  if (port < m_adj.size()) {
     knob->get_adjustment().signal_value_changed().
       connect(compose(bind<0>(mem_fun(*this, &AZR3GUI::control_changed), port),
 		      mem_fun(knob->get_adjustment(), 
@@ -362,7 +362,7 @@ Knob* AZR3GUI::add_knob(Fixed& fbox, Ref
 }
 
 
-Drawbar* AZR3GUI::add_drawbar(Fixed& fbox, RefPtr<Pixmap>& pm, int port, 
+Drawbar* AZR3GUI::add_drawbar(Fixed& fbox, RefPtr<Pixmap>& pm, size_t port,
 			      float min, float max, float value, 
 			      int xoffset, int yoffset, 
 			      Drawbar::Type type) {
@@ -380,7 +380,7 @@ Drawbar* AZR3GUI::add_drawbar(Fixed& fbo
   s->set_bg_pixmap(STATE_SELECTED, npm);
   s->set_bg_pixmap(STATE_INSENSITIVE, npm);
   db->set_style(s);
-  if (port >= 0 && port < m_adj.size()) {
+  if (port < m_adj.size()) {
     db->get_adjustment().signal_value_changed().
       connect(compose(bind<0>(mem_fun(*this, &AZR3GUI::control_changed), port),
 		      mem_fun(db->get_adjustment(), &Adjustment::get_value)));
@@ -391,7 +391,7 @@ Drawbar* AZR3GUI::add_drawbar(Fixed& fbo
 }
 
 
-Switch* AZR3GUI::add_switch(Fixed& fbox, int port,
+Switch* AZR3GUI::add_switch(Fixed& fbox, size_t port,
 			    int xoffset, int yoffset, Switch::Type type) {
   Switch* sw = manage(new Switch(type));
   fbox.put(*sw, xoffset, yoffset);
--- azr3-jack.orig/azr3/azr3gui.hpp
+++ azr3-jack/azr3/azr3gui.hpp
@@ -62,15 +62,15 @@ protected:
   
   void splitbox_clicked();
   void set_back_pixmap(Widget* wdg, Glib::RefPtr<Gdk::Pixmap> pm);
-  Knob* add_knob(Gtk::Fixed& fbox, Glib::RefPtr<Gdk::Pixmap>& pm, int port, 
+  Knob* add_knob(Gtk::Fixed& fbox, Glib::RefPtr<Gdk::Pixmap>& pm, size_t port,
                  float min, float max, float value, 
                  int xoffset, int yoffset,
                  float dmin, float dmax, bool decimal);
   Drawbar* add_drawbar(Gtk::Fixed& fbox, Glib::RefPtr<Gdk::Pixmap>& pm,
-		       int port, float min, float max, float value, 
+		       size_t port, float min, float max, float value,
                        int xoffset, int yoffset, 
                        Drawbar::Type type);
-  Switch* add_switch(Gtk::Fixed& fbox, int port,
+  Switch* add_switch(Gtk::Fixed& fbox, size_t port,
                      int xoffset, int yoffset, Switch::Type type);
   Gtk::EventBox* add_clickbox(Gtk::Fixed& fbox, int xoffset, int yoffset, 
 			      int width, int height);
--- azr3-jack.orig/azr3/main.cpp
+++ azr3-jack/azr3/main.cpp
@@ -338,9 +338,7 @@ int Main::static_process(jack_nframes_t
 
 void Main::auto_connect() {
 
-  const char* env;
   const char** port_list;
-  const char* name = jack_get_client_name(m_jack_client);
 
   // MIDI input
   if (m_auto_midi != "") {
